visiondir = fullfile(cd,'..');
c_files = {
    'YUVmask.c'
    'findlinepoints_and_obstacles.c'
    'adaptivepolygonmask.c'
    'findpose.c'
    'ball_global2local.c'
    'getvisiontime.c'
    'ballsizefilter.c'
    'labellerconvhull_invgreen.c'
    'compasscheck.c'
    'localisationaid.c'
    'costfcn_fast.c'
    'staticmask.c'
    'findball3D.c'
    'lobdetection.c'
    };
for i=1:length(c_files)
    copyfile(c_files{i},fullfile(visiondir,'src'))
end

copyfile('make.m',visiondir)
copyfile('vision_turtle.mdl',visiondir)

copyfile('getlinepoints.mdl',fullfile(visiondir,'Tools','auto_mirrorcalibration'))
copyfile('getlinepoints.mdl',fullfile(visiondir,'Tools','autocalibration'))
copyfile('getlinepoints.mdl',fullfile(visiondir,'Tools','linepointstuning'))
copyfile('getlinepointspose.mdl',fullfile(visiondir,'Tools','Multi Image Calibration'))
copyfile('testlinepoints.mdl',fullfile(visiondir,'Tools','test_vision'))
copyfile('testvisionscheme.mdl',fullfile(visiondir,'Tools','test_vision'))

% copyfile('calibration_gui.fig',fullfile(visiondir,'Tools','calibration_gui'))
% copyfile('calibration_gui.m',fullfile(visiondir,'Tools','calibration_gui'))
copyfile('cc.fig',fullfile(visiondir,'Tools','colorcalibration_gui'))
copyfile('cc.m',fullfile(visiondir,'Tools','colorcalibration_gui'))
copyfile('ccdata.m',fullfile(visiondir,'Tools','colorcalibration_gui'))
