robocupdir = 'c:\robocup\trunk\src\Turtle2';

addpath(fullfile(robocupdir,'Global_par'));
addpath(fullfile(robocupdir,'Vision','Tools','calibration_gui'));


curdir = cd;
copyfile('global_par_TUE_field.h',fullfile(robocupdir,'Global_par'));
cd(fullfile(robocupdir,'Vision','Tools','fieldmap_tool'))
makefieldmap 1
cd(curdir)

for k=1:6
  dr=fullfile(robocupdir,'Vision',['Calibration_data_turtle' int2str(k)]);
  copyfile('*.dat',dr)
end

cd(fullfile(robocupdir,'Vision','src'))
mex findpose.c
mex findlinepoints_and_obstacles.c
mex costfcn_fast.c
addpath(cd)
cd(curdir)